Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class JDBCPooledDataSource

    java.lang.Object
      org.biojava.utils.JDBCPooledDataSource

    public class JDBCPooledDataSource

extends Object

Returns a DataSource that implements connection pooling Uses Jakarta Commons DBCP and Pool packages. See the description of the dbcp package at http://jakarta.apache.org/commons/dbcp/api/overview-summary.html#overview_description

Author:
  Simon Foote, Len Trigg, Andy Yates, Thomas Down

Constructor Summary
`JDBCPooledDataSource()`

Method Summary
`static DataSource` | `getDataSource(String driver, String url, String user, String pass)`
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCPooledDataSource

    public JDBCPooledDataSource()

Method Detail

### getDataSource

    public static DataSource getDataSource(String driver,
                                           String url,
                                           String user,
                                           String pass)
                                    throws Exception

  Throws:
    `Exception`

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD